Package de.gebit.integrity.parameter.conversion

## Enum EmptyValueHandling

- java.lang.Object
- - java.lang.Enum<EmptyValueHandling>
  - - de.gebit.integrity.parameter.conversion.EmptyValueHandling

- All Implemented Interfaces:
    `Serializable`, `Comparable<EmptyValueHandling>`

      public enum EmptyValueHandling
      extends Enum<EmptyValueHandling>

  This enum offers various ways in which empty values (`EmptyValue`) may be handled during conversion.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONVERT` | Empty values should be converted normally - which most likely means they will end up as a `String`.
    `KEEP_AS_IS` | Empty values will not be converted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EmptyValueHandling` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static EmptyValueHandling[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONVERT

          public static final EmptyValueHandling CONVERT

      Empty values should be converted normally - which most likely means they will end up as a `String`. However, the String won't be just any object, but the specific, reserved instance `ParameterUtil.EMPTY_VALUE` (so even if converted, one could perform an instance comparison to specifically detect empty values - however, this is discouraged and should only be used if it is not possible to simply turn off conversion of inexistent values via `KEEP_AS_IS`).

      This is the default if not specified otherwise in a `ConversionContext`.

    - #### KEEP_AS_IS

          public static final EmptyValueHandling KEEP_AS_IS

      Empty values will not be converted.

  - ### Method Detail

    - #### values

          public static EmptyValueHandling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EmptyValueHandling c : EmptyValueHandling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EmptyValueHandling valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null